# Generated by Django 5.2 on 2025-04-10 13:09

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('base', '0004_initial'),
        ('coverageeligibilityresponses', '0001_initial'),
        ('patients', '0001_initial'),
        ('practitioners', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='coverageeligibilityresponse',
            name='patient',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_patient', to='patients.patientreference'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponse',
            name='serviced_period',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_serviced_period', to='base.period'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseerror',
            name='code',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_error_code', to='base.codeableconcept'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponse',
            name='error',
            field=models.ManyToManyField(blank=True, related_name='coverage_eligibility_response_error', to='coverageeligibilityresponses.coverageeligibilityresponseerror'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseevent',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_event_type', to='base.codeableconcept'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseevent',
            name='when_period',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_event_when_period', to='base.period'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponse',
            name='event',
            field=models.ManyToManyField(blank=True, related_name='coverage_eligibility_response_event', to='coverageeligibilityresponses.coverageeligibilityresponseevent'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseinsurance',
            name='benefit_period',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_insurance_benefit_period', to='base.period'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponse',
            name='insurance',
            field=models.ManyToManyField(blank=True, related_name='coverage_eligibility_response_insurance', to='coverageeligibilityresponses.coverageeligibilityresponseinsurance'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseinsuranceitem',
            name='authorization_supporting',
            field=models.ManyToManyField(blank=True, related_name='coverage_eligibility_response_insurance_item_authorization_supporting', to='base.codeableconcept'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseinsuranceitem',
            name='category',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_insurance_item_category', to='base.codeableconcept'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseinsuranceitem',
            name='modifier',
            field=models.ManyToManyField(related_name='coverage_eligibility_response_insurance_item_modifier', to='base.codeableconcept'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseinsuranceitem',
            name='network',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_insurance_item_network', to='base.codeableconcept'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseinsuranceitem',
            name='product_or_service',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_insurance_item_product_or_service', to='base.codeableconcept'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseinsuranceitem',
            name='provider',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_insurance_item_provider', to='practitioners.practitionerpractitionerrolereference'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseinsuranceitem',
            name='term',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_insurance_item_term', to='base.codeableconcept'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseinsuranceitem',
            name='unit',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_insurance_item_unit_price', to='base.codeableconcept'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseinsurance',
            name='item',
            field=models.ManyToManyField(blank=True, related_name='coverage_eligibility_response_insurance_item', to='coverageeligibilityresponses.coverageeligibilityresponseinsuranceitem'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseinsuranceitembenefit',
            name='allowed_money',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_insurance_item_benefit_allowed_money', to='base.money'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseinsuranceitembenefit',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_insurance_item_benefit_type', to='base.codeableconcept'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseinsuranceitembenefit',
            name='used_money',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_insurance_item_benefit_used_money', to='base.money'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponseinsuranceitem',
            name='benefit',
            field=models.ManyToManyField(blank=True, related_name='coverage_eligibility_response_insurance_item_benefit', to='coverageeligibilityresponses.coverageeligibilityresponseinsuranceitembenefit'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponserequesterreference',
            name='identifier',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_requester_reference_identifier', to='base.identifier'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponserequesterreference',
            name='organization',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_requester_reference_organization', to='base.organizationreference'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponserequesterreference',
            name='practitioner',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_requester_reference_practitioner', to='practitioners.practitioner'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponserequesterreference',
            name='practitioner_role',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_requester_reference_practitioner_role', to='practitioners.practitionerrole'),
        ),
        migrations.AddField(
            model_name='coverageeligibilityresponse',
            name='requestor',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='coverage_eligibility_response_requestor', to='coverageeligibilityresponses.coverageeligibilityresponserequesterreference'),
        ),
    ]
