# Generated by Django 5.2 on 2025-04-10 13:09

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('base', '0004_initial'),
        ('devices', '0001_initial'),
        ('diagnosticreports', '0002_initial'),
        ('healthcareservices', '0001_initial'),
        ('locations', '0001_initial'),
        ('medications', '0001_initial'),
        ('observations', '0002_initial'),
        ('organizations', '0001_initial'),
        ('patients', '0002_initial'),
        ('practitioners', '0001_initial'),
        ('servicerequests', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='diagnosticreportbasedonreference',
            name='service_request',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='diagnostic_report_based_on_service_request', to='servicerequests.servicerequest'),
        ),
        migrations.AddField(
            model_name='diagnosticreport',
            name='based_on',
            field=models.ManyToManyField(blank=True, related_name='diagnostic_report_based_on', to='diagnosticreports.diagnosticreportbasedonreference'),
        ),
        migrations.AddField(
            model_name='diagnosticreportdocumentreferencereference',
            name='diagnostic_report',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='document_reference_reference_diagnostic_report', to='diagnosticreports.diagnosticreport'),
        ),
        migrations.AddField(
            model_name='diagnosticreportdocumentreferencereference',
            name='identifier',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='document_reference_reference_identifier', to='base.identifier'),
        ),
        migrations.AddField(
            model_name='diagnosticreporteffective',
            name='period',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='base.period'),
        ),
        migrations.AddField(
            model_name='diagnosticreport',
            name='media',
            field=models.ManyToManyField(blank=True, to='diagnosticreports.diagnosticreportmedia'),
        ),
        migrations.AddField(
            model_name='diagnosticreportperformerreference',
            name='identifier',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='performer_identifier', to='base.identifier'),
        ),
        migrations.AddField(
            model_name='diagnosticreportperformerreference',
            name='organization',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='performer_organization', to='organizations.organization'),
        ),
        migrations.AddField(
            model_name='diagnosticreportperformerreference',
            name='practitioner',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='performer_practitioner', to='practitioners.practitioner'),
        ),
        migrations.AddField(
            model_name='diagnosticreportperformerreference',
            name='practitioner_role',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='performer_practitioner_role', to='practitioners.practitionerrole'),
        ),
        migrations.AddField(
            model_name='diagnosticreport',
            name='performer',
            field=models.ManyToManyField(blank=True, related_name='diagnostic_report_performer', to='diagnosticreports.diagnosticreportperformerreference'),
        ),
        migrations.AddField(
            model_name='diagnosticreport',
            name='results_interpretation',
            field=models.ManyToManyField(blank=True, related_name='diagnostic_results_interpretation', to='diagnosticreports.diagnosticreportperformerreference'),
        ),
        migrations.AddField(
            model_name='diagnosticreportsubjectreference',
            name='device',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='devices.device'),
        ),
        migrations.AddField(
            model_name='diagnosticreportsubjectreference',
            name='healthcare_service',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='healthcareservices.healthcareservice'),
        ),
        migrations.AddField(
            model_name='diagnosticreportsubjectreference',
            name='identifier',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='diagnostic_report_subject_identifier', to='base.identifier'),
        ),
        migrations.AddField(
            model_name='diagnosticreportsubjectreference',
            name='location',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='locations.location'),
        ),
        migrations.AddField(
            model_name='diagnosticreportsubjectreference',
            name='medication',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='diagnostic_report_subject_medication', to='medications.medication'),
        ),
        migrations.AddField(
            model_name='diagnosticreportsubjectreference',
            name='organization',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='organizations.organization'),
        ),
        migrations.AddField(
            model_name='diagnosticreportsubjectreference',
            name='patient',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='diagnostic_report_subject_patient', to='patients.patient'),
        ),
        migrations.AddField(
            model_name='diagnosticreportsubjectreference',
            name='practitioner',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='practitioners.practitioner'),
        ),
        migrations.AddField(
            model_name='diagnosticreport',
            name='subject',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='diagnosticreports.diagnosticreportsubjectreference'),
        ),
        migrations.AddField(
            model_name='observationreference',
            name='identifier',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='observation_reference_identifier', to='base.identifier'),
        ),
        migrations.AddField(
            model_name='observationreference',
            name='observation',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='observation_reference', to='observations.observation'),
        ),
        migrations.AddField(
            model_name='diagnosticreport',
            name='result',
            field=models.ManyToManyField(blank=True, related_name='diagnostic_result', to='diagnosticreports.observationreference'),
        ),
        migrations.AddField(
            model_name='supportinginfo',
            name='type',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='supporting_info_type', to='base.codeableconcept'),
        ),
        migrations.AddField(
            model_name='diagnosticreport',
            name='supporting_info',
            field=models.ManyToManyField(blank=True, related_name='diagnostic_report_supporting_info', to='diagnosticreports.supportinginfo'),
        ),
        migrations.AddField(
            model_name='supportinginforeference',
            name='diagnostic_report',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='supporting_info_diagnostic_report', to='diagnosticreports.diagnosticreport'),
        ),
        migrations.AddField(
            model_name='supportinginforeference',
            name='identifier',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='supporting_info_reference_identifier', to='base.identifier'),
        ),
        migrations.AddField(
            model_name='supportinginforeference',
            name='observation',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='supporting_info_observation', to='observations.observation'),
        ),
        migrations.AddField(
            model_name='supportinginfo',
            name='reference',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='supporting_info_reference', to='diagnosticreports.supportinginforeference'),
        ),
    ]
