# Generated by Django 5.2 on 2025-04-10 13:09

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('base', '0001_initial'),
        ('endpoints', '0001_initial'),
        ('healthcareservices', '0001_initial'),
        ('locations', '0001_initial'),
        ('organizations', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='PractitionerRoleCode',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('display', models.CharField(max_length=255)),
                ('definition', models.TextField(null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Practitioner',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('active', models.BooleanField(default=True)),
                ('gender', models.CharField(blank=True, choices=[('male', 'male'), ('female', 'female'), ('other', 'other'), ('unknown', 'unknown')], max_length=20, null=True)),
                ('birth_date', models.DateField(blank=True, null=True)),
                ('deceased_boolean', models.BooleanField(default=True)),
                ('deceased_date_time', models.DateTimeField(blank=True, null=True)),
                ('address', models.ManyToManyField(blank=True, related_name='practitioner_address', to='base.address')),
                ('communication', models.ManyToManyField(blank=True, related_name='practitioner_communication', to='base.communication')),
                ('identifier', models.ManyToManyField(blank=True, related_name='practitioner_identifier', to='base.identifier')),
                ('name', models.ManyToManyField(blank=True, related_name='practitioner_name', to='base.humanname')),
                ('photo', models.ManyToManyField(blank=True, related_name='practitioner_photo', to='base.attachment')),
                ('qualification', models.ManyToManyField(blank=True, related_name='practitioner_qualification', to='base.qualification')),
                ('telecom', models.ManyToManyField(blank=True, related_name='practitioner_telecom', to='base.contactpoint')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PractitionerReference',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('reference', models.CharField(max_length=255, null=True)),
                ('type', models.CharField(max_length=255, null=True)),
                ('display', models.CharField(max_length=255, null=True)),
                ('identifier', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='practitioner_reference_identifier', to='base.identifier')),
                ('practitioner', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='practitioner_reference_practitioner', to='practitioners.practitioner')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PractitionerRole',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('active', models.BooleanField(default=True)),
                ('display', models.TextField(null=True)),
                ('availability', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='practitioner_role_availability', to='base.availability')),
                ('characteristic', models.ManyToManyField(blank=True, related_name='practitioner_role_characteristic', to='base.codeableconcept')),
                ('code', models.ManyToManyField(blank=True, related_name='practitioner_role_code', to='base.codeableconcept')),
                ('communication', models.ManyToManyField(blank=True, related_name='practitioner_role_communication', to='base.codeableconcept')),
                ('contact', models.ManyToManyField(blank=True, related_name='practitioner_role_contact', to='base.extendedcontactdetail')),
                ('endpoint', models.ManyToManyField(blank=True, related_name='practitioner_role_endpoint', to='endpoints.endpointreference')),
                ('healthcare_service', models.ManyToManyField(related_name='practitioner_role_healthcareservice', to='healthcareservices.healthcareservicereference')),
                ('identifier', models.ManyToManyField(blank=True, related_name='practitioner_role_identifier', to='base.identifier')),
                ('location', models.ManyToManyField(blank=True, related_name='practitioner_role_location', to='locations.locationreference')),
                ('network', models.ManyToManyField(blank=True, related_name='practitioner_role_network', to='base.organizationreference')),
                ('organization', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='practitioner_role_organization', to='base.organizationreference')),
                ('period', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='base.period')),
                ('practitioner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='practitioner_role_practitioner', to='practitioners.practitionerreference')),
                ('specialty', models.ManyToManyField(blank=True, related_name='practitioner_role_specialty', to='base.codeableconcept')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PractitionerPractitionerRoleReference',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('reference', models.CharField(max_length=255, null=True)),
                ('type', models.CharField(max_length=255, null=True)),
                ('display', models.CharField(max_length=255, null=True)),
                ('identifier', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='practitioner_practitioner_role_reference_identifier', to='base.identifier')),
                ('practitioner', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='practitioner_practitioner_role_reference_practitioner', to='practitioners.practitioner')),
                ('practitioner_role', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='practitioner_practitioner_role_reference_practitioner_role', to='practitioners.practitionerrole')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PractitionerOrganizationPractitionerRoleReference',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('organization', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='general_practitioner_organization', to='organizations.organization')),
                ('practitioner', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='general_practitioner', to='practitioners.practitioner')),
                ('practitioner_role', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='practitioners.practitionerrole')),
            ],
        ),
        migrations.CreateModel(
            name='PractitionerRoleReference',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('reference', models.CharField(max_length=255, null=True)),
                ('type', models.CharField(max_length=255, null=True)),
                ('display', models.CharField(max_length=255, null=True)),
                ('identifier', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='practitioner_role_reference_identifier', to='base.identifier')),
                ('practitioner_role', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='practitioner_role_reference_practitioner_role', to='practitioners.practitionerrole')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
